# Choose one of the options
#include(cmake/CMakeLists_default.cmake)
include(cmake/CMakeLists_scikit.cmake)

set(PYX_SUFFIX tbpm diag mpi)
if(WITH_HDF5)
    list(APPEND PYX_SUFFIX hdf5)
endif()
foreach(__module ${PYX_SUFFIX})
    tbp_add_pyx(${__module})
endforeach()

# ========================== Python interfaces ==========================
message(STATUS "")
message(STATUS "  Python solver interfaces to build:")

foreach(__module ${PYX_SUFFIX})
    message(STATUS "    " "interface_${__module}")
endforeach()

message(STATUS "")

# install libraries
foreach(__module ${PYX_SUFFIX})
    install(TARGETS "interface_${__module}"
        LIBRARY DESTINATION ${TBPLAS_LIB_INSTALL_PATH}
        DESTINATION ${TBPLAS_LIB_INSTALL_PATH})
endforeach()
